com.smartgwt.client.types

## Enum ArrowStyle

- java.lang.Object
- - java.lang.Enum<ArrowStyle>
  - - com.smartgwt.client.types.ArrowStyle

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ArrowStyle>

      public enum ArrowStyle
      extends java.lang.Enum<ArrowStyle>
      implements ValueEnum

  Supported styles for arrowheads

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK` Solid triangle
    `NULL` Don't render an arrowhead at all
    `OPEN` arrow rendered as an open triangle.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ArrowStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ArrowStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOCK

          public static final ArrowStyle BLOCK

      Solid triangle

    - #### OPEN

          public static final ArrowStyle OPEN

      arrow rendered as an open triangle. Only applies to `DrawLinePaths` - for other items this will be treated as `"block"`

    - #### NULL

          public static final ArrowStyle NULL

      Don't render an arrowhead at all

  - ### Method Detail

    - #### values

          public static ArrowStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ArrowStyle c : ArrowStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ArrowStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`